clc; clear all; close all;

a = 1.35; %upper limit stretch
b = 120; %upper limit stress

labels2 = {'AAA.1.1','AAA.1.2','AAA.2','AAA.3', 'AAA.4.1','AAA.4.2','AAA.5', 'AAA.6', 'AAA.7', 'AAA.8', 'AAA.10','AAA.11'};
f2=figure;
subplot(1,2,1)
% load('15SW33_sm.mat');
load('15SW1.mat');
[stretch_ax,Stress_Ax_sm]=CropDataAx(stretch_ax, Stress_Ax_sm);
plot(stretch_ax, Stress_Ax_sm,'LineStyle','d','Color','k')
set(gca, ...
    'Box'         , 'off'     , ...
    'TickDir'     , 'out'     , ...
    'TickLength'  , [.02 .02] , ...
    'XMinorTick'  , 'on'      , ...
    'YMinorTick'  , 'on'      , ...
    'YGrid'       , 'on'      , ...
    'LineWidth'   , 1         ,...
    'XLim'        , [1 a]     ,...
    'YLim'        , [0 b]);
hold on
load('15SW2_sm.mat');
[stretch_ax,Stress_Ax_sm]=CropDataAx(stretch_ax, Stress_Ax_sm);
plot(stretch_ax, Stress_Ax_sm,'LineStyle','d','MarkerFaceColor', 'k','Color','k')
hold on
load('15GP1_sm.mat'); %circ und ax veratauscht
[stretch_ax,Stress_Ax_sm]=CropDataCirc(stretch_circ, Stress_Circ_sm);
plot(stretch_ax, Stress_Ax_sm,'LineStyle','o','Color','k')
hold on
% load('15GP39_sm.mat');
% [stretch_ax,Stress_Ax_sm]=CropDataAx(stretch_ax, Stress_Ax_sm);
% plot(stretch_ax, Stress_Ax_sm,'LineStyle','o','Color','k')
% hold on
load('14FK32_sm.mat');
[stretch_ax,Stress_Ax_sm]=CropDataAx(stretch_ax, Stress_Ax_sm);
plot(stretch_ax, Stress_Ax_sm,'LineStyle','h','Color','k')
hold on
load('15KM35_sm.mat');
[stretch_ax,Stress_Ax_sm]=CropDataAx(stretch_ax, Stress_Ax_sm);
plot(stretch_ax, Stress_Ax_sm,'LineStyle','s','Color','k')
hold on
load('15KM2_sm');
[stretch_ax,Stress_Ax_sm]=CropDataAx(stretch_ax, Stress_Ax_sm);
plot(stretch_ax, Stress_Ax_sm,'LineStyle','s','MarkerFaceColor', 'k','Color','k')
hold on
load('15ES59_sm.mat');
[stretch_ax,Stress_Ax_sm]=CropDataAx(stretch_ax, Stress_Ax_sm);
plot(stretch_ax, Stress_Ax_sm,'LineStyle','v','Color','k')
hold on
load('14FS22_sm.mat');
[stretch_ax,Stress_Ax_sm]=CropDataAx(stretch_ax, Stress_Ax_sm);
plot(stretch_ax, Stress_Ax_sm,'LineStyle','*','Color','k')
hold on
load('13GV73_sm.mat');
[stretch_ax,Stress_Ax_sm]=CropDataAx(stretch_ax, Stress_Ax_sm);
plot(stretch_ax, Stress_Ax_sm,'LineStyle','+','Color','k')
hold on
load('13PW65_sm.mat');
[stretch_ax,Stress_Ax_sm]=CropDataAx(stretch_ax, Stress_Ax_sm);
plot(stretch_ax, Stress_Ax_sm,'LineStyle','^','Color','k')
hold on
% load('12AL7_sm.mat');
% [stretch_ax,Stress_Ax_sm]=CropDataAx(stretch_ax, Stress_Ax_sm);
% plot(stretch_ax, Stress_Ax_sm,'LineStyle','<','Color','k')
% hold on
load('13AP17_sm.mat')
[stretch_ax,Stress_Ax_sm]=CropDataAx(stretch_ax, Stress_Ax_sm);
plot(stretch_ax, Stress_Ax_sm,'LineStyle','>','Color','k')
hold on
load('15SV42_sm.mat') %circ und ax vertauscht
[stretch_ax,Stress_Ax_sm]=CropDataCirc(stretch_circ, Stress_Circ_sm);
plot(stretch_ax, Stress_Ax_sm,'LineStyle','x','Color','k')
hold off
xlabel('stretch')
ylabel('cauchy stress [kPa]')
title('axial direction');
iResolution = 300;
legend(labels2, 'Location', 'NorthEast', ...
    'EdgeColor', [1 1 1], ...
    'TextColor', [0.3 0.3 0.3]);
hold off
% fig2texPS;
%%
subplot(1,2,2)
% load('15SW33_sm.mat');
load('15SW1.mat');
[stretch_circ,Stress_Circ_sm]=CropDataCirc(stretch_circ, Stress_Circ_sm);
plot(stretch_circ, Stress_Circ_sm,'LineStyle','d','Color','k')
set(gca, ...
    'Box'         , 'off'     , ...
    'TickDir'     , 'out'     , ...
    'TickLength'  , [.02 .02] , ...
    'XMinorTick'  , 'on'      , ...
    'YMinorTick'  , 'on'      , ...
    'YGrid'       , 'on'      , ...
    'XColor'      , [.3 .3 .3], ...
    'YColor'      , [.3 .3 .3], ...
    'LineWidth'   , 1         ,...
    'XLim'        , [1 a]     ,...
    'YLim'        , [0 b]);
hold on
load('15SW2_sm.mat');
[stretch_circ,Stress_Circ_sm]=CropDataCirc(stretch_circ, Stress_Circ_sm);
plot(stretch_circ, Stress_Circ_sm,'LineStyle','d','MarkerFaceColor', 'k','Color','k')
hold on
load('15GP1_sm.mat'); %circ und ax vertauscht!
[stretch_circ,Stress_Circ_sm]=CropDataAx(stretch_ax, Stress_Ax_sm);
plot(stretch_circ, Stress_Circ_sm,'LineStyle','o','Color','k')
% hold on
% load('15GP39_sm.mat');
% [stretch_circ,Stress_Circ_sm]=CropDataCirc(stretch_circ, Stress_Circ_sm);
% plot(stretch_circ, Stress_Circ_sm,'LineStyle','o','Color','k')
hold on
load('14FK32_sm.mat');
[stretch_circ,Stress_Circ_sm]=CropDataCirc(stretch_circ, Stress_Circ_sm);
plot(stretch_circ, Stress_Circ_sm,'LineStyle','h','Color','k')
hold on
load('15KM35_sm.mat');
[stretch_circ,Stress_Circ_sm]=CropDataCirc(stretch_circ, Stress_Circ_sm);
plot(stretch_circ, Stress_Circ_sm,'LineStyle','s','Color','k')
hold on
load('15KM2_sm');
[stretch_circ,Stress_Circ_sm]=CropDataCirc(stretch_circ, Stress_Circ_sm);
plot(stretch_circ, Stress_Circ_sm,'LineStyle','s','MarkerFaceColor', 'k','Color','k')
hold on
load('15ES59_sm.mat');
[stretch_circ,Stress_Circ_sm]=CropDataCirc(stretch_circ, Stress_Circ_sm);
plot(stretch_circ, Stress_Circ_sm,'LineStyle','v','Color','k')
hold on
load('14FS22_sm.mat');
[stretch_circ,Stress_Circ_sm]=CropDataCirc(stretch_circ, Stress_Circ_sm);
plot(stretch_circ, Stress_Circ_sm,'LineStyle','*','Color','k')
hold on
load('13GV73_sm.mat');
[stretch_circ,Stress_Circ_sm]=CropDataCirc(stretch_circ, Stress_Circ_sm);
plot(stretch_circ, Stress_Circ_sm,'LineStyle','+','Color','k')
hold on
load('13PW65_sm.mat');
[stretch_circ,Stress_Circ_sm]=CropDataCirc(stretch_circ, Stress_Circ_sm);
plot(stretch_circ, Stress_Circ_sm,'LineStyle','^','Color','k')
hold on
% load('12AL7_sm.mat');
% [stretch_circ,Stress_Circ_sm]=CropDataCirc(stretch_circ, Stress_Circ_sm);
% plot(stretch_circ, Stress_Circ_sm,'LineStyle','<','Color','k')
% hold on
load('13AP17_sm.mat')
[stretch_circ,Stress_Circ_sm]=CropDataCirc(stretch_circ, Stress_Circ_sm);
plot(stretch_circ, Stress_Circ_sm,'LineStyle','>','Color','k')
hold on
load('15SV42_sm.mat') %circ und ax vertauscht
[stretch_circ,Stress_Circ_sm]=CropDataAx(stretch_ax, Stress_Ax_sm);
plot(stretch_circ, Stress_Circ_sm,'LineStyle','x','Color','k')
hold off
xlabel('stretch')
ylabel('cauchy stress [kPa]')
title('circumferential direction');
iResolution = 300;
% fig2texPS;

hold off

% fig2texPS